Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2699593006: Refactor to remove need for infiniteIntRect when computing rects in pre-paint (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 3 days ago by chrishtr
Modified:
1 week, 3 days ago
Reviewers:
pdr., wkorman
CC:
ajuma+watch_chromium.org, blink-reviews, blink-reviews-paint_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, f(malita), jbroman, Justin Novosad, kinuko+watch, pdr+graphicswatchlist_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Refactor to remove need for infiniteIntRect when computing rects in pre-paint CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2699593006 Cr-Commit-Position: refs/heads/master@{#451250} Committed: https://chromium.googlesource.com/chromium/src/+/a16900cd0e022d0ef255e55f121bfb8639194477

Patch Set 1 #

Total comments: 4

Patch Set 2 : none #

Patch Set 3 : none #

Unified diffs Side-by-side diffs Delta from patch set Stats (+73 lines, -19 lines) Patch
M third_party/WebKit/Source/core/paint/ClipRect.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/paint/PrePaintTreeWalk.h View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp View 1 2 chunks +5 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/platform/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/FloatClipRect.h View 1 2 chunks +8 lines, -2 lines 0 comments Download
A third_party/WebKit/Source/platform/graphics/paint/FloatClipRectTest.cpp View 1 2 1 chunk +44 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/GeometryMapper.cpp View 1 3 chunks +7 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/GeometryMapperTest.cpp View 1 3 chunks +3 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 33 (21 generated)
chrishtr
1 week, 3 days ago (2017-02-16 20:51:31 UTC) #8
chrishtr
1 week, 3 days ago (2017-02-16 21:16:48 UTC) #10
wkorman
lgtm https://codereview.chromium.org/2699593006/diff/1/third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp File third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp (right): https://codereview.chromium.org/2699593006/diff/1/third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp#newcode117 third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp:117: if (isAncestorOfOrEqualTo(context.clip, ancestorState.clip())) Do we have existing tests ...
1 week, 3 days ago (2017-02-16 21:45:32 UTC) #11
chrishtr
https://codereview.chromium.org/2699593006/diff/1/third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp File third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp (right): https://codereview.chromium.org/2699593006/diff/1/third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp#newcode117 third_party/WebKit/Source/core/paint/PrePaintTreeWalk.cpp:117: if (isAncestorOfOrEqualTo(context.clip, ancestorState.clip())) On 2017/02/16 at 21:45:32, wkorman wrote: ...
1 week, 3 days ago (2017-02-16 23:48:32 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699593006/20001
1 week, 3 days ago (2017-02-16 23:50:21 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/213634) android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, ...
1 week, 3 days ago (2017-02-16 23:58:19 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699593006/40001
1 week, 3 days ago (2017-02-17 00:04:59 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_slimming_paint_v2 on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 week, 3 days ago (2017-02-17 02:08:36 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699593006/40001
1 week, 3 days ago (2017-02-17 02:11:31 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 week, 3 days ago (2017-02-17 04:14:22 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699593006/40001
1 week, 3 days ago (2017-02-17 05:47:33 UTC) #30
commit-bot: I haz the power
1 week, 3 days ago (2017-02-17 06:38:09 UTC) #33
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/a16900cd0e022d0ef255e55f121b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd